> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Partially update protection profile

> Partially update protection profile. Only provided fields are updated.



## OpenAPI

````yaml /api-reference/services_documented/ddos_protection_api.yaml patch /security/sifter/v3/profiles/{protection_profile_id}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – DDoS Protection API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Event Logs
    x-displayName: Event Logs
  - name: BGP announces
    x-displayName: BGP announces
  - name: Protected Networks
    x-displayName: Protected Networks
  - name: Protection Profiles
    x-displayName: Protection Profiles
  - name: Protection Templates
    x-displayName: Protection Templates
  - name: Security Templates
    x-displayName: Security Templates
  - name: Profiles
    x-displayName: Profiles
paths:
  /security/sifter/v3/profiles/{protection_profile_id}:
    patch:
      tags:
        - Protection Profiles
      summary: Partially update protection profile
      description: Partially update protection profile. Only provided fields are updated.
      operationId: patch_protection_profile_api_v3_profiles__protection_profile_id__patch
      parameters:
        - name: protection_profile_id
          in: path
          required: true
          schema:
            type: integer
            maximum: 1000000000
            minimum: 1
            description: A positive integer ID
            title: Protection Profile Id
          description: A positive integer ID
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateProfileData'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProtectionProfileResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Request'
        '403':
          description: Cannot update common protection profile
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Request'
        '404':
          description: Protection profile not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Request'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    UpdateProfileData:
      properties:
        name:
          anyOf:
            - type: string
              maxLength: 100
              minLength: 1
            - type: 'null'
          title: Name
          description: Name of the protection profile
        template_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Template Id
          description: Identifier of the template to use
        fields:
          anyOf:
            - items:
                $ref: '#/components/schemas/ProfileFieldIn'
              type: array
            - type: 'null'
          title: Fields
          description: List of field values for the profile
      type: object
      title: UpdateProfileData
      example:
        fields:
          - name: bandwidth_limit
            template_field_id: 5
            value: '200'
        name: Updated Web Server Protection
        template_id: 2
    ProtectionProfileResponse:
      properties:
        id:
          type: integer
          title: Id
          description: Identifier for the protection profile
        client_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Client Id
          description: Identifier of the client owning this profile
        name:
          type: string
          title: Name
          description: Name of the protection profile
        fields:
          items:
            $ref: '#/components/schemas/ProfileField'
          type: array
          title: Fields
          description: List of profile field values
        template:
          $ref: '#/components/schemas/ProfileTemplateInProfile'
          description: Associated profile template
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Timestamp when the profile was created
        modified_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Modified At
          description: Timestamp of the last modification
        networks:
          items:
            anyOf:
              - type: string
                format: ipv4network
              - type: string
                format: ipv6network
          type: array
          title: Networks
          readOnly: true
      type: object
      required:
        - id
        - client_id
        - name
        - fields
        - template
        - created_at
        - modified_at
        - networks
      title: ProtectionProfileResponse
      example:
        client_id: 3
        created_at: '2025-06-15T10:30:00Z'
        fields:
          - template_field_id: 5
            value: '100'
          - template_field_id: 8
            value: enabled
        id: 10
        modified_at: '2025-07-20T14:45:00Z'
        name: Web Server Protection
        networks:
          - 192.168.1.0/24
          - 10.0.0.0/16
        template:
          id: 1
          name: DDoS Protection Standard
    Request:
      properties: {}
      type: object
      title: Request
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/security_iaas_ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ProfileFieldIn:
      properties:
        value:
          title: Value
          description: Value of the field
        template_field_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Template Field Id
          description: Identifier of the template field
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: Name of the field
      type: object
      required:
        - value
      title: ProfileFieldIn
      example:
        name: bandwidth_limit
        template_field_id: 5
        value: '100'
    ProfileField:
      properties:
        template_field_id:
          type: integer
          title: Template Field Id
          description: Identifier of the template field
        value:
          title: Value
          description: Value of the field
      type: object
      required:
        - template_field_id
        - value
      title: ProfileField
      example:
        template_field_id: 5
        value: '100'
    ProfileTemplateInProfile:
      properties:
        id:
          type: integer
          title: Id
          description: Unique identifier of the template
        name:
          type: string
          title: Name
          description: Name of the template
      type: object
      required:
        - id
        - name
      title: ProfileTemplateInProfile
      example:
        id: 1
        name: DDoS Protection Standard
    security_iaas_ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````